import processing.serial.*; 
import cc.arduino.*; 
import fullscreen.*; 

FullScreen fs; 

float previousDeplacementX;
float previousDeplacementY;
int rec;
int erase;
float deplacementY;
float deplacementX;  
int i = 1;
int a;
int b;
int c;
int d;

Arduino arduino;

void setup() {
  size(800, 600);
  smooth(); 
  println(Serial.list()); 
  arduino = new Arduino(this, Arduino.list()[0], 57600);
  arduino.pinMode(3, Arduino.INPUT);
  arduino.pinMode(7, Arduino.INPUT);
  background(0);
  frameRate(30);
  fs = new FullScreen(this); 
}
void draw() {
a = (arduino.analogRead(0));
b = (arduino.analogRead(1));
c = (arduino.digitalRead(3));
d = (arduino.digitalRead(7));
  
deplacementX=a;
deplacementY=b;
  
deplacementX=map(deplacementX, 0, 1023, 100, 700);
deplacementY=map(deplacementY, 0, 1023, 100, 500);

rec=c;
erase=d;

stroke(random(0, 255), random(0, 255),random(0, 255));
strokeWeight(4);
line(previousDeplacementX, previousDeplacementY, deplacementX,deplacementY);

  if (rec == Arduino.HIGH) {
    save(i+"ardoiseMagique.jpg");
    i++;
    println("SAVE");
    delay(100);
  }

  if (erase == Arduino.LOW) {
    background(0);
    println("ERASE");
  }    
  
  if (keyPressed) {
    if (key == 'f' || key == 'F'){
      fs.enter(); 
    }
  }
    if (keyPressed) {
    if (key == 'l' || key == 'L'){
      fs.leave(); 
    }
  }
  
  previousDeplacementX=deplacementX;
  previousDeplacementY=deplacementY;

  print("deplacementX = ");
  print(deplacementX);
  print("\t");
  print("deplacementY = ");
  println(deplacementY);

}

